EulerOS 2.0 SP3 : glusterfs (EulerOS-SA-2018-1442)

Medium Nessus Plugin ID 119931

Synopsis

The remote EulerOS host is missing a security update.

Description

According to the version of the glusterfs packages installed, the EulerOS installation on the remote host is affected by the following vulnerability :

- glusterfs: Improper deserialization in dict.c:dict_unserialize() can allow attackers to read arbitrary memory (CVE-2018-10911)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected glusterfs package.

See Also

http://www.nessus.org/u?9061bc08

Plugin Details

Severity: Medium

ID: 119931

File Name: EulerOS_SA-2018-1442.nasl

Version: 1.2

Type: local

Published: 2018/12/28

Updated: 2019/06/28

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:glusterfs, p-cpe:/a:huawei:euleros:glusterfs-api, p-cpe:/a:huawei:euleros:glusterfs-client-xlators, p-cpe:/a:huawei:euleros:glusterfs-fuse, p-cpe:/a:huawei:euleros:glusterfs-libs, p-cpe:/a:huawei:euleros:glusterfs-rdma, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Patch Publication Date: 2018/12/25

Reference Information

CVE: CVE-2018-10911